-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: ruby:2.5 security update
Advisory ID:       RHSA-2022:0545-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2022:0545
Issue date:        2022-02-16
CVE Names:         CVE-2020-36327 
=====================================================================

1. Summary:

An update for the ruby:2.5 module is now available for Red Hat Enterprise
Linux 8.

Red Hat Product Security has rated this update as having a security impact
of Important. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available for each vulnerability
from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AppStream (v. 8) - aarch64, noarch, ppc64le, s390x, x86_64

3. Description:

Ruby is an extensible, interpreted, object-oriented, scripting language. It
has features to process text files and to perform system management tasks.

Security Fix(es):

* rubygem-bundler: Dependencies of gems with explicit source may be
installed from a different source (CVE-2020-36327)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

1958999 - CVE-2020-36327 rubygem-bundler: Dependencies of gems with explicit source may be installed from a different source

6. Package List:

Red Hat Enterprise Linux AppStream (v. 8):

Source:
ruby-2.5.9-107.module+el8.5.0+13840+ec418553.src.rpm
rubygem-abrt-0.3.0-4.module+el8.1.0+3656+f80bfa1d.src.rpm
rubygem-bson-4.3.0-2.module+el8.1.0+3656+f80bfa1d.src.rpm
rubygem-bundler-1.16.1-4.module+el8.5.0+13840+ec418553.src.rpm
rubygem-mongo-2.5.1-2.module+el8.1.0+3656+f80bfa1d.src.rpm
rubygem-mysql2-0.4.10-4.module+el8.1.0+3656+f80bfa1d.src.rpm
rubygem-pg-1.0.0-2.module+el8.1.0+3656+f80bfa1d.src.rpm

aarch64:
ruby-2.5.9-107.module+el8.5.0+13840+ec418553.aarch64.rpm
ruby-debuginfo-2.5.9-107.module+el8.5.0+13840+ec418553.aarch64.rpm
ruby-debugsource-2.5.9-107.module+el8.5.0+13840+ec418553.aarch64.rpm
ruby-devel-2.5.9-107.module+el8.5.0+13840+ec418553.aarch64.rpm
ruby-libs-2.5.9-107.module+el8.5.0+13840+ec418553.aarch64.rpm
ruby-libs-debuginfo-2.5.9-107.module+el8.5.0+13840+ec418553.aarch64.rpm
rubygem-bigdecimal-1.3.4-107.module+el8.5.0+13840+ec418553.aarch64.rpm
rubygem-bigdecimal-debuginfo-1.3.4-107.module+el8.5.0+13840+ec418553.aarch64.rpm
rubygem-bson-4.3.0-2.module+el8.1.0+3656+f80bfa1d.aarch64.rpm
rubygem-bson-debuginfo-4.3.0-2.module+el8.1.0+3656+f80bfa1d.aarch64.rpm
rubygem-bson-debugsource-4.3.0-2.module+el8.1.0+3656+f80bfa1d.aarch64.rpm
rubygem-io-console-0.4.6-107.module+el8.5.0+13840+ec418553.aarch64.rpm
rubygem-io-console-debuginfo-0.4.6-107.module+el8.5.0+13840+ec418553.aarch64.rpm
rubygem-json-2.1.0-107.module+el8.5.0+13840+ec418553.aarch64.rpm
rubygem-json-debuginfo-2.1.0-107.module+el8.5.0+13840+ec418553.aarch64.rpm
rubygem-mysql2-0.4.10-4.module+el8.1.0+3656+f80bfa1d.aarch64.rpm
rubygem-mysql2-debuginfo-0.4.10-4.module+el8.1.0+3656+f80bfa1d.aarch64.rpm
rubygem-mysql2-debugsource-0.4.10-4.module+el8.1.0+3656+f80bfa1d.aarch64.rpm
rubygem-openssl-2.1.2-107.module+el8.5.0+13840+ec418553.aarch64.rpm
rubygem-openssl-debuginfo-2.1.2-107.module+el8.5.0+13840+ec418553.aarch64.rpm
rubygem-pg-1.0.0-2.module+el8.1.0+3656+f80bfa1d.aarch64.rpm
rubygem-pg-debuginfo-1.0.0-2.module+el8.1.0+3656+f80bfa1d.aarch64.rpm
rubygem-pg-debugsource-1.0.0-2.module+el8.1.0+3656+f80bfa1d.aarch64.rpm
rubygem-psych-3.0.2-107.module+el8.5.0+13840+ec418553.aarch64.rpm
rubygem-psych-debuginfo-3.0.2-107.module+el8.5.0+13840+ec418553.aarch64.rpm

noarch:
ruby-doc-2.5.9-107.module+el8.5.0+13840+ec418553.noarch.rpm
ruby-irb-2.5.9-107.module+el8.5.0+13840+ec418553.noarch.rpm
rubygem-abrt-0.3.0-4.module+el8.1.0+3656+f80bfa1d.noarch.rpm
rubygem-abrt-doc-0.3.0-4.module+el8.1.0+3656+f80bfa1d.noarch.rpm
rubygem-bson-doc-4.3.0-2.module+el8.1.0+3656+f80bfa1d.noarch.rpm
rubygem-bundler-1.16.1-4.module+el8.5.0+13840+ec418553.noarch.rpm
rubygem-bundler-doc-1.16.1-4.module+el8.5.0+13840+ec418553.noarch.rpm
rubygem-did_you_mean-1.2.0-107.module+el8.5.0+13840+ec418553.noarch.rpm
rubygem-minitest-5.10.3-107.module+el8.5.0+13840+ec418553.noarch.rpm
rubygem-mongo-2.5.1-2.module+el8.1.0+3656+f80bfa1d.noarch.rpm
rubygem-mongo-doc-2.5.1-2.module+el8.1.0+3656+f80bfa1d.noarch.rpm
rubygem-mysql2-doc-0.4.10-4.module+el8.1.0+3656+f80bfa1d.noarch.rpm
rubygem-net-telnet-0.1.1-107.module+el8.5.0+13840+ec418553.noarch.rpm
rubygem-pg-doc-1.0.0-2.module+el8.1.0+3656+f80bfa1d.noarch.rpm
rubygem-power_assert-1.1.1-107.module+el8.5.0+13840+ec418553.noarch.rpm
rubygem-rake-12.3.3-107.module+el8.5.0+13840+ec418553.noarch.rpm
rubygem-rdoc-6.0.1.1-107.module+el8.5.0+13840+ec418553.noarch.rpm
rubygem-test-unit-3.2.7-107.module+el8.5.0+13840+ec418553.noarch.rpm
rubygem-xmlrpc-0.3.0-107.module+el8.5.0+13840+ec418553.noarch.rpm
rubygems-2.7.6.3-107.module+el8.5.0+13840+ec418553.noarch.rpm
rubygems-devel-2.7.6.3-107.module+el8.5.0+13840+ec418553.noarch.rpm

ppc64le:
ruby-2.5.9-107.module+el8.5.0+13840+ec418553.ppc64le.rpm
ruby-debuginfo-2.5.9-107.module+el8.5.0+13840+ec418553.ppc64le.rpm
ruby-debugsource-2.5.9-107.module+el8.5.0+13840+ec418553.ppc64le.rpm
ruby-devel-2.5.9-107.module+el8.5.0+13840+ec418553.ppc64le.rpm
ruby-libs-2.5.9-107.module+el8.5.0+13840+ec418553.ppc64le.rpm
ruby-libs-debuginfo-2.5.9-107.module+el8.5.0+13840+ec418553.ppc64le.rpm
rubygem-bigdecimal-1.3.4-107.module+el8.5.0+13840+ec418553.ppc64le.rpm
rubygem-bigdecimal-debuginfo-1.3.4-107.module+el8.5.0+13840+ec418553.ppc64le.rpm
rubygem-bson-4.3.0-2.module+el8.1.0+3656+f80bfa1d.ppc64le.rpm
rubygem-bson-debuginfo-4.3.0-2.module+el8.1.0+3656+f80bfa1d.ppc64le.rpm
rubygem-bson-debugsource-4.3.0-2.module+el8.1.0+3656+f80bfa1d.ppc64le.rpm
rubygem-io-console-0.4.6-107.module+el8.5.0+13840+ec418553.ppc64le.rpm
rubygem-io-console-debuginfo-0.4.6-107.module+el8.5.0+13840+ec418553.ppc64le.rpm
rubygem-json-2.1.0-107.module+el8.5.0+13840+ec418553.ppc64le.rpm
rubygem-json-debuginfo-2.1.0-107.module+el8.5.0+13840+ec418553.ppc64le.rpm
rubygem-mysql2-0.4.10-4.module+el8.1.0+3656+f80bfa1d.ppc64le.rpm
rubygem-mysql2-debuginfo-0.4.10-4.module+el8.1.0+3656+f80bfa1d.ppc64le.rpm
rubygem-mysql2-debugsource-0.4.10-4.module+el8.1.0+3656+f80bfa1d.ppc64le.rpm
rubygem-openssl-2.1.2-107.module+el8.5.0+13840+ec418553.ppc64le.rpm
rubygem-openssl-debuginfo-2.1.2-107.module+el8.5.0+13840+ec418553.ppc64le.rpm
rubygem-pg-1.0.0-2.module+el8.1.0+3656+f80bfa1d.ppc64le.rpm
rubygem-pg-debuginfo-1.0.0-2.module+el8.1.0+3656+f80bfa1d.ppc64le.rpm
rubygem-pg-debugsource-1.0.0-2.module+el8.1.0+3656+f80bfa1d.ppc64le.rpm
rubygem-psych-3.0.2-107.module+el8.5.0+13840+ec418553.ppc64le.rpm
rubygem-psych-debuginfo-3.0.2-107.module+el8.5.0+13840+ec418553.ppc64le.rpm

s390x:
ruby-2.5.9-107.module+el8.5.0+13840+ec418553.s390x.rpm
ruby-debuginfo-2.5.9-107.module+el8.5.0+13840+ec418553.s390x.rpm
ruby-debugsource-2.5.9-107.module+el8.5.0+13840+ec418553.s390x.rpm
ruby-devel-2.5.9-107.module+el8.5.0+13840+ec418553.s390x.rpm
ruby-libs-2.5.9-107.module+el8.5.0+13840+ec418553.s390x.rpm
ruby-libs-debuginfo-2.5.9-107.module+el8.5.0+13840+ec418553.s390x.rpm
rubygem-bigdecimal-1.3.4-107.module+el8.5.0+13840+ec418553.s390x.rpm
rubygem-bigdecimal-debuginfo-1.3.4-107.module+el8.5.0+13840+ec418553.s390x.rpm
rubygem-bson-4.3.0-2.module+el8.1.0+3656+f80bfa1d.s390x.rpm
rubygem-bson-debuginfo-4.3.0-2.module+el8.1.0+3656+f80bfa1d.s390x.rpm
rubygem-bson-debugsource-4.3.0-2.module+el8.1.0+3656+f80bfa1d.s390x.rpm
rubygem-io-console-0.4.6-107.module+el8.5.0+13840+ec418553.s390x.rpm
rubygem-io-console-debuginfo-0.4.6-107.module+el8.5.0+13840+ec418553.s390x.rpm
rubygem-json-2.1.0-107.module+el8.5.0+13840+ec418553.s390x.rpm
rubygem-json-debuginfo-2.1.0-107.module+el8.5.0+13840+ec418553.s390x.rpm
rubygem-mysql2-0.4.10-4.module+el8.1.0+3656+f80bfa1d.s390x.rpm
rubygem-mysql2-debuginfo-0.4.10-4.module+el8.1.0+3656+f80bfa1d.s390x.rpm
rubygem-mysql2-debugsource-0.4.10-4.module+el8.1.0+3656+f80bfa1d.s390x.rpm
rubygem-openssl-2.1.2-107.module+el8.5.0+13840+ec418553.s390x.rpm
rubygem-openssl-debuginfo-2.1.2-107.module+el8.5.0+13840+ec418553.s390x.rpm
rubygem-pg-1.0.0-2.module+el8.1.0+3656+f80bfa1d.s390x.rpm
rubygem-pg-debuginfo-1.0.0-2.module+el8.1.0+3656+f80bfa1d.s390x.rpm
rubygem-pg-debugsource-1.0.0-2.module+el8.1.0+3656+f80bfa1d.s390x.rpm
rubygem-psych-3.0.2-107.module+el8.5.0+13840+ec418553.s390x.rpm
rubygem-psych-debuginfo-3.0.2-107.module+el8.5.0+13840+ec418553.s390x.rpm

x86_64:
ruby-2.5.9-107.module+el8.5.0+13840+ec418553.i686.rpm
ruby-2.5.9-107.module+el8.5.0+13840+ec418553.x86_64.rpm
ruby-debuginfo-2.5.9-107.module+el8.5.0+13840+ec418553.i686.rpm
ruby-debuginfo-2.5.9-107.module+el8.5.0+13840+ec418553.x86_64.rpm
ruby-debugsource-2.5.9-107.module+el8.5.0+13840+ec418553.i686.rpm
ruby-debugsource-2.5.9-107.module+el8.5.0+13840+ec418553.x86_64.rpm
ruby-devel-2.5.9-107.module+el8.5.0+13840+ec418553.i686.rpm
ruby-devel-2.5.9-107.module+el8.5.0+13840+ec418553.x86_64.rpm
ruby-libs-2.5.9-107.module+el8.5.0+13840+ec418553.i686.rpm
ruby-libs-2.5.9-107.module+el8.5.0+13840+ec418553.x86_64.rpm
ruby-libs-debuginfo-2.5.9-107.module+el8.5.0+13840+ec418553.i686.rpm
ruby-libs-debuginfo-2.5.9-107.module+el8.5.0+13840+ec418553.x86_64.rpm
rubygem-bigdecimal-1.3.4-107.module+el8.5.0+13840+ec418553.i686.rpm
rubygem-bigdecimal-1.3.4-107.module+el8.5.0+13840+ec418553.x86_64.rpm
rubygem-bigdecimal-debuginfo-1.3.4-107.module+el8.5.0+13840+ec418553.i686.rpm
rubygem-bigdecimal-debuginfo-1.3.4-107.module+el8.5.0+13840+ec418553.x86_64.rpm
rubygem-bson-4.3.0-2.module+el8.1.0+3656+f80bfa1d.x86_64.rpm
rubygem-bson-debuginfo-4.3.0-2.module+el8.1.0+3656+f80bfa1d.x86_64.rpm
rubygem-bson-debugsource-4.3.0-2.module+el8.1.0+3656+f80bfa1d.x86_64.rpm
rubygem-io-console-0.4.6-107.module+el8.5.0+13840+ec418553.i686.rpm
rubygem-io-console-0.4.6-107.module+el8.5.0+13840+ec418553.x86_64.rpm
rubygem-io-console-debuginfo-0.4.6-107.module+el8.5.0+13840+ec418553.i686.rpm
rubygem-io-console-debuginfo-0.4.6-107.module+el8.5.0+13840+ec418553.x86_64.rpm
rubygem-json-2.1.0-107.module+el8.5.0+13840+ec418553.i686.rpm
rubygem-json-2.1.0-107.module+el8.5.0+13840+ec418553.x86_64.rpm
rubygem-json-debuginfo-2.1.0-107.module+el8.5.0+13840+ec418553.i686.rpm
rubygem-json-debuginfo-2.1.0-107.module+el8.5.0+13840+ec418553.x86_64.rpm
rubygem-mysql2-0.4.10-4.module+el8.1.0+3656+f80bfa1d.x86_64.rpm
rubygem-mysql2-debuginfo-0.4.10-4.module+el8.1.0+3656+f80bfa1d.x86_64.rpm
rubygem-mysql2-debugsource-0.4.10-4.module+el8.1.0+3656+f80bfa1d.x86_64.rpm
rubygem-openssl-2.1.2-107.module+el8.5.0+13840+ec418553.i686.rpm
rubygem-openssl-2.1.2-107.module+el8.5.0+13840+ec418553.x86_64.rpm
rubygem-openssl-debuginfo-2.1.2-107.module+el8.5.0+13840+ec418553.i686.rpm
rubygem-openssl-debuginfo-2.1.2-107.module+el8.5.0+13840+ec418553.x86_64.rpm
rubygem-pg-1.0.0-2.module+el8.1.0+3656+f80bfa1d.x86_64.rpm
rubygem-pg-debuginfo-1.0.0-2.module+el8.1.0+3656+f80bfa1d.x86_64.rpm
rubygem-pg-debugsource-1.0.0-2.module+el8.1.0+3656+f80bfa1d.x86_64.rpm
rubygem-psych-3.0.2-107.module+el8.5.0+13840+ec418553.i686.rpm
rubygem-psych-3.0.2-107.module+el8.5.0+13840+ec418553.x86_64.rpm
rubygem-psych-debuginfo-3.0.2-107.module+el8.5.0+13840+ec418553.i686.rpm
rubygem-psych-debuginfo-3.0.2-107.module+el8.5.0+13840+ec418553.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2020-36327
https://access.redhat.com/security/updates/classification/#important
https://access.redhat.com/articles/6206172

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2022 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBYg0wjNzjgjWX9erEAQiFHg/+Kl1V4/iYwSzmt0l2hpyLnbVfGQNvxbxU
VnwDAO+EwFB8CaRDlAW7thztMjDtRlzk8Ac4JwLOBK7FlYuDEQzjrBiKLfOoPr5y
TWbN83IM/jFjoh9h/4gT3GHIIw8KuD+tzcnMagODDIaQ4TOh1Yo+2PZkNk2jFhMJ
0svOzIDnOZZMwnnixCnTfWg1VeInpnSBYhnSJ5SShUqibqxC8YTcFwYIRzmQGTyb
o+sdvkT4zJ6bIg3vumpeH4dETJX/FbOLueC+RZsBkz78OmOMxhrdrV1/MrLttVnk
N+NNiFRBFEwLCQgJQUZYTE7gnXnW0Ubcx20rAR2iW8Fl7SKQCvTkNl1k/ox/vEJF
xXigKC0dgRdNdXlRnGBhq8fb7TezQ5UROnfDj2xfkHv0OGQx2jtMbz59NoIU8gxP
byVtO7bbpazRTxjsZu27BefzISRpaFsX3QR3UlLwS/S3lhf6xmGEeGnMRkKSYBF7
UBKotrWlbQ+nl9Wpp1URHEPgTPLnVyK2VU0+02YWXinVTq6M0gM4GRwB5d/VznKN
Y1C88BzN3Vz1iJ1xf2SIPvKVQBr70q3AKrKJig+gTuL0QWUkzCdu9kcXf0YKDBvO
TFNKexVzYK3evQFjpPFrgt3w0F+TKHm3aKGlkcaafud4QArMYNElR/+AqFcS8dxD
a1CF+rGPmPY=
=7mRV
-----END PGP SIGNATURE-----

--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce